#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: retry
version: 0.7.4.2
id: retry-0.7.4.2-RgUAtfMVP2FCf8yGSEX72
key: retry-0.7.4.2-RgUAtfMVP2FCf8yGSEX72
license: BSD3
copyright: Ozgun Ataman, Soostone Inc
maintainer: ozgun.ataman@soostone.com
homepage: http://github.com/Soostone/retry
synopsis: Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.
category: Control
author: Ozgun Ataman
exposed: True
exposed-modules:
    Control.Retry
abi: 7a1b32a95acbbf12597f4629738d44f0
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/retry-0.7.4.2
library-dirs: /usr/lib/ghc-8.0.2/site-local/retry-0.7.4.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-8.0.2
data-dir: /usr/share/x86_64-linux-ghc-8.0.2/retry-0.7.4.2
hs-libraries: HSretry-0.7.4.2-RgUAtfMVP2FCf8yGSEX72
depends:
    base-4.9.1.0 data-default-class-0.1.2.0-N42RtcTZUUAlapzICmPz4
    exceptions-0.8.3-8AMTYj188ri8VOH6LXt0Fd ghc-prim-0.5.0.0
    random-1.1-9tceXaeYIMZ4JrKq20Egog transformers-0.5.2.0
haddock-interfaces: /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html: /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
